Subject: Re: bug#16762: Installed packages are not considered part of the archive contents

From: Dmitry Gutov <[email-masked]>
Date: Mon, 24 Mar 2014 16:32:29 +0200

On 24.03.2014 15:07, Stefan wrote:

> Doesn't the above package-installed-p mean that we can't complete the
> name of an already installed package we want to upgrade?

Before the patch, `package-install' would be a no-op for a currently 
installed package, even if a new version is available (because when the 
PKG argument is not a pkg-desc, it's passed to 
`package-compute-transaction' in the list of requirements without 
version, and it's immediately satisfied, requiring no package installation).

Considering that `package-install' wouldn't remove the currently 
installed version, I don't think we'd want it to work for upgrades, anyway.